Skip to main content
GET
/
{alias}
/
public
/
catalog
/
products
/
{id}
/
installments
Visualizar informações dos parcelas do produto
curl --request GET \
  --url https://api.dooki.com.br/v2/{alias}/public/catalog/products/{id}/installments \
  --header 'Content-Type: application/json' \
  --data '{
  "amount": 0
}'
import requests

url = "https://api.dooki.com.br/v2/{alias}/public/catalog/products/{id}/installments"

payload = { "amount": 0 }
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({amount: 0})
};

fetch('https://api.dooki.com.br/v2/{alias}/public/catalog/products/{id}/installments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "max_installment": 6,
  "max_installment_value": 0,
  "amount": 0,
  "text": "6x de R$ 0,00 com juros",
  "text_with_tax": "6x de R$ 0,00",
  "text_discount_percent": null,
  "text_discount": null
}

Path Parameters

alias
string
required

Alias da loja

id
string
required

id do produto

Body

application/json
amount
number
Example:

0

Response

Retorna as Informações das parcelas do produto

max_installment
integer
Example:

6

max_installment_value
number
Example:

0

amount
number
Example:

0

text
string
Example:

"6x de R$ 0,00 com juros"

text_with_tax
string
Example:

"6x de R$ 0,00"

text_discount_percent
string | null
Example:

null

text_discount
string | null
Example:

null